Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

[gelöst] KMail startet seit openSUSE 15.2 nicht mehr

Alles rund um das Internet, Internet-Anwendungen (E-Mail, Surfen, Cloud usw.) und das Einrichten von Netzwerken einschl. VPN unter Linux

Moderator: Moderatoren

Antworten
Benutzeravatar
Hengstenberg
Member
Member
Beiträge: 66
Registriert: 2. Mai 2009, 15:07
Wohnort: Waiblingen

[gelöst] KMail startet seit openSUSE 15.2 nicht mehr

Beitrag von Hengstenberg »

Hallo zusammen,
KMail startet seit dem Upgrade auf 15.2 nicht mehr. Ich erhalte folgende Fehlermeldung:

Code: Alles auswählen

> kmail
kmail: symbol lookup error: /usr/lib64/libKF5ContactEditor.so.5: undefined symbol: _ZN9KContacts9Addressee16staticMetaObjectE
Was heisst das? Wie kann man so etwas lösen?
Grüße, Hengstenberg
Zuletzt geändert von Hengstenberg am 25. Sep 2020, 22:44, insgesamt 1-mal geändert.
Kernel 5.3.18-lp152.41-default | openSUSE Leap 15.2
  • Notebook (Lenovo X230) | Intel Core i5-3320M @ 2.60 GHz | 8 GB RAM | Intel HD Graphics 4000
  • Deskunder (Selbstbau) | Intel Core2Duo E6700 @ 2,66 GHz | 8 GB RAM| nVidia GeForce GTX 560 Ti
Benutzeravatar
tomm.fa
Moderator
Moderator
Beiträge: 5508
Registriert: 21. Jan 2006, 17:18
Wohnort: OWL - Kreis Gütersloh
Kontaktdaten:

Re: KMail startet seit openSUSE 15.2 nicht mehr

Beitrag von tomm.fa »

Was ergeben denn die Ausgaben von:

Code: Alles auswählen

zypper se -s libKF5ContactEditor5 kontact kmail

Code: Alles auswählen

zypper lr -d
und eventuell

Code: Alles auswählen

zypper se -si | grep -Ei "systemp|System P"
?
Linupedia - Wiki des Linux-Club.
Keine Unterstützung/Hilfestellung per PN!
Benutzeravatar
Hengstenberg
Member
Member
Beiträge: 66
Registriert: 2. Mai 2009, 15:07
Wohnort: Waiblingen

Re: KMail startet seit openSUSE 15.2 nicht mehr

Beitrag von Hengstenberg »

Code: Alles auswählen

# zypper se -s libKF5ContactEditor5 kontact kmail
Loading repository data...
Reading installed packages...

S  | Name                      | Type    | Version           | Arch   | Repository
---+---------------------------+---------+-------------------+--------+-------------------
i+ | kmail                     | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
v  | kmail                     | package | 17.12.3-lp150.1.2 | x86_64 | openSUSE:Leap:15.0
i+ | kmail-account-wizard      | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
v  | kmail-account-wizard      | package | 17.12.3-lp150.1.3 | x86_64 | openSUSE:Leap:15.0
i+ | kmail-account-wizard-lang | package | 20.04.2-lp152.1.1 | noarch | Main Repository
v  | kmail-account-wizard-lang | package | 17.12.3-lp150.1.3 | noarch | openSUSE:Leap:15.0
i+ | kmail-application-icons   | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
v  | kmail-application-icons   | package | 17.12.3-lp150.1.2 | x86_64 | openSUSE:Leap:15.0
i+ | kmail-lang                | package | 20.04.2-lp152.1.1 | noarch | Main Repository
v  | kmail-lang                | package | 17.12.3-lp150.1.2 | noarch | openSUSE:Leap:15.0
i+ | kmailtransport            | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
v  | kmailtransport            | package | 17.12.3-lp150.1.2 | x86_64 | openSUSE:Leap:15.0
   | kmailtransport-devel      | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
   | kmailtransport-devel      | package | 17.12.3-lp150.1.2 | x86_64 | openSUSE:Leap:15.0
i+ | kmailtransport-lang       | package | 20.04.2-lp152.1.1 | noarch | Main Repository
v  | kmailtransport-lang       | package | 17.12.3-lp150.1.2 | noarch | openSUSE:Leap:15.0
i+ | kontact                   | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
v  | kontact                   | package | 17.12.3-lp150.1.3 | x86_64 | openSUSE:Leap:15.0
i+ | kontact-lang              | package | 20.04.2-lp152.1.1 | noarch | Main Repository
v  | kontact-lang              | package | 17.12.3-lp150.1.3 | noarch | openSUSE:Leap:15.0
   | kontactinterface-devel    | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
   | kontactinterface-devel    | package | 17.12.3-lp150.1.2 | x86_64 | openSUSE:Leap:15.0
i+ | kontactinterface-lang     | package | 20.04.2-lp152.1.1 | noarch | Main Repository
v  | kontactinterface-lang     | package | 17.12.3-lp150.1.2 | noarch | openSUSE:Leap:15.0
i+ | libKF5ContactEditor5      | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
v  | libKF5ContactEditor5      | package | 17.12.3-lp150.1.2 | x86_64 | openSUSE:Leap:15.0
i+ | libKF5KontactInterface5   | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
v  | libKF5KontactInterface5   | package | 17.12.3-lp150.1.2 | x86_64 | openSUSE:Leap:15.0

Code: Alles auswählen

# zypper lr -d
#  | Alias                               | Name                               | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                      | Service
---+-------------------------------------+------------------------------------+---------+-----------+---------+----------+--------+--------------------------------------------------------------------------+--------
 1 | http-download.opensuse.org-e1af12e0 | openSUSE:Leap:15.0                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/oss/            | 
 2 | openSUSE-Leap-15.2-1                | openSUSE-Leap-15.2-1               | No      | ----      | ----    |   99     | rpm-md | cd:/?devices=/dev/disk/by-id/ata-Optiarc_DVD_RW_AD-7940H                 | 
 3 | opensuse-guide.org-repo             | Libdvdcss Repository               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.2/                       | 
 4 | packman.inode.at-suse               | Packman Repository                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_15.2/                         | 
 5 | repo-debug                          | Debug Repository                   | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.2/repo/oss/      | 
 6 | repo-debug-non-oss                  | Debug Repository (Non-OSS)         | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.2/repo/non-oss/  | 
 7 | repo-debug-update                   | Update Repository (Debug)          | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.2/oss/                 | 
 8 | repo-debug-update-non-oss           | Update Repository (Debug, Non-OSS) | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.2/non-oss/             | 
 9 | repo-non-oss                        | Non-OSS Repository                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.2/repo/non-oss/        | 
10 | repo-oss                            | Main Repository                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.2/repo/oss/            | 
11 | repo-source                         | Source Repository                  | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.2/repo/oss/     | 
12 | repo-source-non-oss                 | Source Repository (Non-OSS)        | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.2/repo/non-oss/ | 
13 | repo-update                         | Main Update Repository             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.2/oss/                       | 
14 | repo-update-non-oss                 | Update Repository (Non-Oss)        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.2/non-oss/                   | 
15 | teamviewer                          | TeamViewer - x86_64                | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://linux.teamviewer.com/yum/stable/main/binary-x86_64/               |
Das openSUSE:Leap:15.0 Repo ist bei mir drin, weil ich Audex verwende, welches nicht im aktuellen Repo drin. ist.

Code: Alles auswählen

# zypper se -si | grep -Ei "systemp|System P"
i+ | libfdk-aac1                              | package | 0.1.6-lp151.2.2                                | x86_64 | (System Packages)
i+ | libx264-155                              | package | 0.155svn20190201-pm151.3.1                     | x86_64 | (System Packages)
i+ | libx264-159                              | package | 0.159+git20191127.1771b556-pm151.3.1           | x86_64 | (System Packages)
i+ | libx265-169                              | package | 3.0-1.2                                        | x86_64 | (System Packages)
i+ | libx265-176                              | package | 3.1.2-lp151.1.2                                | x86_64 | (System Packages)
i+ | libx265-179                              | package | 3.2.1-pm151.3.3                                | x86_64 | (System Packages)
i+ | libx265-188                              | package | 3.3-pm151.1.2                                  | x86_64 | (System Packages)
i+ | openSUSE-release-dvd                     | package | 15.2-lp152.575.1                               | x86_64 | (System Packages)
Kernel 5.3.18-lp152.41-default | openSUSE Leap 15.2
  • Notebook (Lenovo X230) | Intel Core i5-3320M @ 2.60 GHz | 8 GB RAM | Intel HD Graphics 4000
  • Deskunder (Selbstbau) | Intel Core2Duo E6700 @ 2,66 GHz | 8 GB RAM| nVidia GeForce GTX 560 Ti
Benutzeravatar
tomm.fa
Moderator
Moderator
Beiträge: 5508
Registriert: 21. Jan 2006, 17:18
Wohnort: OWL - Kreis Gütersloh
Kontaktdaten:

Re: KMail startet seit openSUSE 15.2 nicht mehr

Beitrag von tomm.fa »

So nebenbei:
Hengstenberg hat geschrieben: 25. Sep 2020, 21:28Das openSUSE:Leap:15.0 Repo ist bei mir drin, weil ich Audex verwende, welches nicht im aktuellen Repo drin. ist.
Und weshalb nimmst du dafür nicht https://download.opensuse.org/repositor ... Leap_15.2/?
Linupedia - Wiki des Linux-Club.
Keine Unterstützung/Hilfestellung per PN!
Sauerland
Guru
Guru
Beiträge: 4094
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: KMail startet seit openSUSE 15.2 nicht mehr

Beitrag von Sauerland »

Poste:

Code: Alles auswählen

zypper se -sir openSUSE:Leap:15.0
Desktop: OpenSUSE Leap 15.2, Nvidia-Grafik Kernel 5.x
Laptop: OpenSUSE Leap 15.2, Intel-Skylake, Kernel 5.3
Benutzeravatar
Hengstenberg
Member
Member
Beiträge: 66
Registriert: 2. Mai 2009, 15:07
Wohnort: Waiblingen

Re: KMail startet seit openSUSE 15.2 nicht mehr

Beitrag von Hengstenberg »

@tomm.fa
Und weshalb nimmst du dafür nicht https://download.opensuse.org/repositor ... Leap_15.2/?
Weil ich bisher hier immer geschaut hatte:
https://software.opensuse.org/package/audex
Und das dann nicht weiter hinterfragt hatte.

Danke für den Hinweis! Habe KDE:Extra eingebunden und das 15.0-Repo rausgeworfen.

@Sauerland:
Deine Antwort kam, nachdem ich obigen Schritt schon ausgeführt habe und gerade diesen Beitrag geschrieben habe, damit läuft dein Befehl "ins Leere".

Also folgende Änderungen:

Code: Alles auswählen

# zypper se -s libKF5ContactEditor5 kontact kmail
Loading repository data...
Reading installed packages...

S  | Name                      | Type    | Version           | Arch   | Repository
---+---------------------------+---------+-------------------+--------+----------------
i+ | kmail                     | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
i+ | kmail-account-wizard      | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
i+ | kmail-account-wizard-lang | package | 20.04.2-lp152.1.1 | noarch | Main Repository
i+ | kmail-application-icons   | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
i+ | kmail-lang                | package | 20.04.2-lp152.1.1 | noarch | Main Repository
i+ | kmailtransport            | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
   | kmailtransport-devel      | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
i+ | kmailtransport-lang       | package | 20.04.2-lp152.1.1 | noarch | Main Repository
i+ | kontact                   | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
i+ | kontact-lang              | package | 20.04.2-lp152.1.1 | noarch | Main Repository
   | kontactinterface-devel    | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
i+ | kontactinterface-lang     | package | 20.04.2-lp152.1.1 | noarch | Main Repository
i+ | libKF5ContactEditor5      | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository
i+ | libKF5KontactInterface5   | package | 20.04.2-lp152.1.1 | x86_64 | Main Repository

Code: Alles auswählen

# zypper lr -d
#  | Alias                     | Name                               | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                       | Service
---+---------------------------+------------------------------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------------+--------
 1 | openSUSE-Leap-15.2-1      | openSUSE-Leap-15.2-1               | No      | ----      | ----    |   99     | rpm-md | cd:/?devices=/dev/disk/by-id/ata-Optiarc_DVD_RW_AD-7940H                  | 
 2 | openSUSE_Leap_15.2        | KDE:Extra                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_15.2/ | 
 3 | opensuse-guide.org-repo   | Libdvdcss Repository               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.2/                        | 
 4 | packman.inode.at-suse     | Packman Repository                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_15.2/                          | 
 5 | repo-debug                | Debug Repository                   | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.2/repo/oss/       | 
 6 | repo-debug-non-oss        | Debug Repository (Non-OSS)         | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.2/repo/non-oss/   | 
 7 | repo-debug-update         | Update Repository (Debug)          | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.2/oss/                  | 
 8 | repo-debug-update-non-oss | Update Repository (Debug, Non-OSS) | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.2/non-oss/              | 
 9 | repo-non-oss              | Non-OSS Repository                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.2/repo/non-oss/         | 
10 | repo-oss                  | Main Repository                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.2/repo/oss/             | 
11 | repo-source               | Source Repository                  | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.2/repo/oss/      | 
12 | repo-source-non-oss       | Source Repository (Non-OSS)        | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.2/repo/non-oss/  | 
13 | repo-update               | Main Update Repository             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.2/oss/                        | 
14 | repo-update-non-oss       | Update Repository (Non-Oss)        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.2/non-oss/                    | 
15 | teamviewer                | TeamViewer - x86_64                | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://linux.teamviewer.com/yum/stable/main/binary-x86_64/                |

Code: Alles auswählen

# zypper se -si | grep -Ei "systemp|System P"    
i+ | kcontacts-lang                           | package | 17.12.3-lp150.1.2                              | noarch | (System Packages)
i+ | libKF5CalendarCore5                      | package | 17.12.3-lp150.2.1                              | x86_64 | (System Packages)
i+ | libKF5Contacts5                          | package | 17.12.3-lp150.1.2                              | x86_64 | (System Packages)
i+ | libKF5Syndication5                       | package | 17.12.3-lp150.1.1                              | x86_64 | (System Packages)
i+ | libfdk-aac1                              | package | 0.1.6-lp151.2.2                                | x86_64 | (System Packages)
i  | libical2                                 | package | 2.0.0-lp150.1.16                               | x86_64 | (System Packages)
i  | libicu60_2                               | package | 60.2-lp150.1.4                                 | x86_64 | (System Packages)
i  | libicu60_2-ledata                        | package | 60.2-lp150.1.4                                 | noarch | (System Packages)
i+ | libx264-155                              | package | 0.155svn20190201-pm151.3.1                     | x86_64 | (System Packages)
i+ | libx264-159                              | package | 0.159+git20191127.1771b556-pm151.3.1           | x86_64 | (System Packages)
i+ | libx265-169                              | package | 3.0-1.2                                        | x86_64 | (System Packages)
i+ | libx265-176                              | package | 3.1.2-lp151.1.2                                | x86_64 | (System Packages)
i+ | libx265-179                              | package | 3.2.1-pm151.3.3                                | x86_64 | (System Packages)
i+ | libx265-188                              | package | 3.3-pm151.1.2                                  | x86_64 | (System Packages)
i+ | openSUSE-release-dvd                     | package | 15.2-lp152.575.1                               | x86_64 | (System Packages)
i+ | xdg-utils                                | package | 20170508-lp150.2.1                             | noarch | (System Packages)
Kernel 5.3.18-lp152.41-default | openSUSE Leap 15.2
  • Notebook (Lenovo X230) | Intel Core i5-3320M @ 2.60 GHz | 8 GB RAM | Intel HD Graphics 4000
  • Deskunder (Selbstbau) | Intel Core2Duo E6700 @ 2,66 GHz | 8 GB RAM| nVidia GeForce GTX 560 Ti
Sauerland
Guru
Guru
Beiträge: 4094
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: KMail startet seit openSUSE 15.2 nicht mehr

Beitrag von Sauerland »

Und wenn du dir jetzt die Ausgabe im letzten Code-Tag anschaust, fällt dir nichts auf?

Seit Leap 15.0 hat jedes Leap Paket ein lp15.x in der Version, wobei x dann auf die entsprechende Leap Version hinweist.
Desktop: OpenSUSE Leap 15.2, Nvidia-Grafik Kernel 5.x
Laptop: OpenSUSE Leap 15.2, Intel-Skylake, Kernel 5.3
Benutzeravatar
Hengstenberg
Member
Member
Beiträge: 66
Registriert: 2. Mai 2009, 15:07
Wohnort: Waiblingen

Re: KMail startet seit openSUSE 15.2 nicht mehr

Beitrag von Hengstenberg »

Und wenn du dir jetzt die Ausgabe im letzten Code-Tag anschaust, fällt dir nichts auf?
Doch, doch, war ich eben am Nachprüfen gewesen.

Lösung:
- 15.0-Repo rausgeworfen
- Folgende Pakete aktualisiert:

Code: Alles auswählen

i+ | kcontacts-lang                           | package | 17.12.3-lp150.1.2                              | noarch | (System Packages)
i+ | libKF5CalendarCore5                      | package | 17.12.3-lp150.2.1                              | x86_64 | (System Packages)
i+ | libKF5Contacts5                          | package | 17.12.3-lp150.1.2                              | x86_64 | (System Packages)
i+ | libKF5Syndication5                       | package | 17.12.3-lp150.1.1                              | x86_64 | (System Packages)
- KMail tut wieder

Danke für eure Hilfe!
Grüße, Hengstenberg
Kernel 5.3.18-lp152.41-default | openSUSE Leap 15.2
  • Notebook (Lenovo X230) | Intel Core i5-3320M @ 2.60 GHz | 8 GB RAM | Intel HD Graphics 4000
  • Deskunder (Selbstbau) | Intel Core2Duo E6700 @ 2,66 GHz | 8 GB RAM| nVidia GeForce GTX 560 Ti
Antworten